package Token;

import java.util.Stack;

import Main.Expression;


public class Variable extends Token{
	String name;
	public Variable(int position,String name){
		setPositionInPredicate(position);
		setArity(0);
		this.name = name;
	}
	public String toString(){
		return name;
	}
	public void act(Stack<Expression> S) throws Exception{
		S.push(new Expression(name));
	}
}
